List orders

Search for orders places on the CLOB matching the given filters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

To ensure optimal query performance, the POST /orders/v1/search_orders endpoint strictly filters results to the last 14 days.

Orders placed older than 14 days will not be returned in the payload. If your application requires historical order data beyond this 14 day window, please ensure you are persisting incoming order payloads to your own database

Body Params
accounts
array of strings

The list of account IDs to search for order updates.## Account Labels

  • Custom account label : firms/{platform_code}/accounts/{account_label}.
  • general account label : firms/{platform_code}/accounts/{participant_code}.
  • Float account : firms/00SCXM/accounts/{platform_code}.
accounts
string

Fully-qualified user. Format: firms/F-{platform_code}/users/{participant_code}. This value is case sensitive.

Example:- Customer User firms/F-PLAT01/users/CUST01.- Platform User firms/F-PLAT01/users/PLAT01.

string
string
string

Client-provided order ID. Client order ID's are unique only on open orders. If a client order ID is reused on a new order, the previous order with that ID must be fully filled or canceled before the new order can be placed.
Platforms should ensure that the order_id field is is used to along with the client order ID to uniquely identify an order.

string
date-time

The end time for the search

string
string

Unique order identifier assigned by the system.

string
enum

OrderState denotes the current order state.

  • ORDER_STATE_PENDING_NEW: Order received by exchange at edges of the system but has not been processed by matching engine.
  • ORDER_STATE_PENDING_REPLACE: Cancel Replace request received by exchange at edges of the system but has not been processed by matching engine.
  • ORDER_STATE_PENDING_CANCEL: Cancel request received by exchange at edges of the system but has not been processed by matching engine.
  • ORDER_STATE_PENDING_RISK: Order is pending risk approval
integer

The number of results to return per page

string

The token for the next page of results

string

The parent order ID

string

The side of the order, indicating whether it is a buy or sell order.

date-time

The start time for the search

string

The trading pair for the order.

string

The sub-type of the symbol

string
enum

The type of the order, indicating whether it is a limit or market order.

Allowed:
Headers
string
required

HMAC-SHA256 signature of the request, base64-encoded. See the Authentication guide for the exact signing formula.

string
required

Current Unix timestamp in seconds. Must be within 60 seconds of server time or the request is rejected.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json